<?xml version="1.0" encoding="UTF-8"?>

<!--

RSS for SeedCodeCalendar Copyright ( c ) SeedCode LLC, 2006.
Modified by John Sindelar

Based on Simple_RSS_Export.xsl

Author
	Mark Banks, mark_banks@filemaker.com
	
Version
	1.0. April 1, 2003

BSD License

Copyright (c) 2003, Mark Banks
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

- Redistributions of source code must retain the above copyright
  notice, this list of conditions and the following disclaimer.
   
- Redistributions in binary form must reproduce the above copyright 
  notice, this list of conditions and the following disclaimer in 
  the documentation and/or other materials provided with the 
  distribution. 

- Neither the name of the Licensor nor the names of its 
  contributors may be used to endorse or promote products derived 
  from this software without specific prior written permission.
   
THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
OF THE POSSIBILITY OF SUCH DAMAGE.



<?xml version="1.0" encoding="ISO-8859-1"?>
<?xslt-cwp-buffer buffer-content="true"?>
<?xslt-cwp-query param="-grammar=fmresultset"?>

-->

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:fmrs="http://www.filemaker.com/xml/fmresultset"
	xmlns:fmxslt="xalan://com.fmi.xslt.ExtensionFunctions"
	exclude-result-prefixes="xsl fmrs fmxslt">
	
	<xsl:output method="xml" doctype-public="rss" encoding="UTF-8" indent="yes" />
	
<xsl:template match="/fmrs:fmresultset">

<rss version="0.91">
  <channel>
    <title>SeedCodeCalendar</title>
    <link>http://www.seedcode.com</link>
    <description>Recent Activity</description>
    <language>en-us</language>

		<xsl:for-each select="fmrs:resultset/fmrs:record">
<xsl:variable name="record" select="current()"/>
		
			<item>
				<title><xsl:value-of select="$record/fmrs:field[@name = 'ApptTitle']/fmrs:data[1]"/></title>
				<!-- feel free to turn this back on if you have a link that makes sense here.
				<link><xsl:value-of select="$record/fmrs:field[@name = 'Link']/fmrs:data[1]"/></link>
				-->
				<description><xsl:value-of select="$record/fmrs:field[@name = 'ApptTitleDisplayCalc']/fmrs:data[1]"/></description>
			</item>

		</xsl:for-each>

  </channel>
</rss>

	</xsl:template>

</xsl:stylesheet>
